
[ppc64] iSeries fixups, from Stephen Rothwel


---

 arch/ppc64/kernel/LparData.c     |    4 ++--
 arch/ppc64/kernel/XmPciLpEvent.c |    8 ++++----
 2 files changed, 6 insertions(+), 6 deletions(-)

diff -puN arch/ppc64/kernel/LparData.c~ppc64-remove_MAX_PROCESSORS arch/ppc64/kernel/LparData.c
--- 25/arch/ppc64/kernel/LparData.c~ppc64-remove_MAX_PROCESSORS	2004-01-13 23:22:37.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/LparData.c	2004-01-13 23:22:37.000000000 -0800
@@ -71,7 +71,7 @@ struct HvReleaseData hvReleaseData = {
 	6,		/* TEMP: This allows non-GA driver */
 	4,		/* We are v5r2m0               */
 	3,		/* Min supported PLIC = v5r1m0 */
-	3,		/* Min usuable PLIC   = v5r1m0 */
+	3,		/* Min usable PLIC   = v5r1m0 */
 	{ 0xd3, 0x89, 0x95, 0xa4, /* "Linux 2.4   "*/
 	  0xa7, 0x40, 0xf2, 0x4b,
 	  0xf4, 0x4b, 0xf6, 0xf4 },
@@ -175,7 +175,7 @@ struct ItVpdAreas itVpdAreas = {
 	0, 0,
 	26,		/* # VPD array entries */
 	10,		/* # DMA array entries */
-	MAX_PROCESSORS*2, maxPhysicalProcessors,	/* Max logical, physical procs */
+	NR_CPUS*2, maxPhysicalProcessors,	/* Max logical, physical procs */
 	offsetof(struct ItVpdAreas,xPlicDmaToks),/* offset to DMA toks */
 	offsetof(struct ItVpdAreas,xSlicVpdAdrs),/* offset to VPD addrs */
 	offsetof(struct ItVpdAreas,xPlicDmaLens),/* offset to DMA lens */
diff -puN arch/ppc64/kernel/XmPciLpEvent.c~ppc64-remove_MAX_PROCESSORS arch/ppc64/kernel/XmPciLpEvent.c
--- 25/arch/ppc64/kernel/XmPciLpEvent.c~ppc64-remove_MAX_PROCESSORS	2004-01-13 23:22:37.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/XmPciLpEvent.c	2004-01-13 23:22:37.000000000 -0800
@@ -20,13 +20,13 @@
 #include <asm/iSeries/XmPciLpEvent.h>
 #include <asm/ppcdebug.h>
 
-long Pci_Interrupt_Count = 0;
-long Pci_Event_Count     = 0;
+static long Pci_Interrupt_Count;
+static long Pci_Event_Count;
 
 enum XmPciLpEvent_Subtype {
 	XmPciLpEvent_BusCreated	   = 0,		// PHB has been created
 	XmPciLpEvent_BusError	   = 1,		// PHB has failed
-	XmPciLpEvent_BusFailed	   = 2,		// Msg to Seconday, Primary failed bus
+	XmPciLpEvent_BusFailed	   = 2,		// Msg to Secondary, Primary failed bus
 	XmPciLpEvent_NodeFailed	   = 4,		// Multi-adapter bridge has failed
 	XmPciLpEvent_NodeRecovered = 5,		// Multi-adapter bridge has recovered
 	XmPciLpEvent_BusRecovered  = 12,	// PHB has been recovered
@@ -90,7 +90,7 @@ static void XmPciLpEvent_handler( struct
 			break;
 		}
 	}
-	else if (event) {
+	else if (eventParm) {
 		printk(KERN_ERR "XmPciLpEvent.c: Unrecognized PCI event type 0x%x\n",(int)eventParm->xType);
 	}
 	else {

_
